| IDA SDK

Public Attributes | Public Member Functions | List of all members
funcarg_t Struct Reference

## Detailed Description

Information about a single function argument.

## Public Attributes
argloc_t | argloc
| argument location
qstring | name
| argument name (may be empty)
qstring | cmt
| argument comment (may be empty)
tinfo_t | type
| argument type
uint32 | flags = 0
| Function argument property bits

## Public Member Functions
| funcarg_t (const char *_name, const tinfo_t &_type, const argloc_t &_argloc=argloc_t())
| Create a function argument, with the specified name and arbitrary type. More...
| funcarg_t (const char *_name, const type_t _type, const argloc_t &_argloc=argloc_t())
| Create a function argument, with the specified name and simple type. More...
| funcarg_t (const char *_name, const char *_type, const argloc_t &_argloc=argloc_t())
| Create a function argument, with the specified name and type. More...
bool | operator== (const funcarg_t &r) const
bool | operator!= (const funcarg_t &r) const

## Constructor & Destructor Documentation

## ◆ funcarg_t() [1/3]

funcarg_t::funcarg_t | ( | const char * | _name,
|  | const tinfo_t & | _type,
|  | const argloc_t & | _argloc = `argloc_t()`
| ) |  |
| inline

Create a function argument, with the specified name and arbitrary type.

Parameters

  _name | Argument name. May be empty
  _type | Argument type. Must not be empty.
  _argloc | Argument location. Can be empty.

## ◆ funcarg_t() [2/3]

funcarg_t::funcarg_t | ( | const char * | _name,
|  | const type_t | _type,
|  | const argloc_t & | _argloc = `argloc_t()`
| ) |  |
| inline

Create a function argument, with the specified name and simple type.

Parameters

  _name | Argument name. May be empty
  _type | Argument type. Can be only a simple type (integral/floating/bool).
  _argloc | Argument location. Can be empty.

## ◆ funcarg_t() [3/3]

funcarg_t::funcarg_t | ( | const char * | _name,
|  | const char * | _type,
|  | const argloc_t & | _argloc = `argloc_t()`
| ) |  |
| inline

Create a function argument, with the specified name and type.

The 'type' object will be created by parsing the '_type' type declaration.

Parameters

  _name | Argument name. May be empty
  _type | Member type. Must not a valid C type declaration.
  _argloc | Argument location. Can be empty.

The documentation for this struct was generated from the following file:

- typeinf.hpp